org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryHandler.DeployableObject

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryHandler.DeployableObject

All Implemented Interfaces:
  Externalizable, Serializable

Enclosing class:
  CacheContinuousQueryHandler<K,V>

    protected static class CacheContinuousQueryHandler.DeployableObject
    extends Object
    implements Externalizable

Deployable object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`` `CacheContinuousQueryHandler.DeployableObject()` Required by `Externalizable`.
`protected` `CacheContinuousQueryHandler.DeployableObject(Object obj, GridKernalContext ctx)`

### Method Summary

Methods
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheContinuousQueryHandler.DeployableObject

    public CacheContinuousQueryHandler.DeployableObject()

Required by `Externalizable`.

#### CacheContinuousQueryHandler.DeployableObject

    protected CacheContinuousQueryHandler.DeployableObject(Object obj,
                                                GridKernalContext ctx)
                                                    throws IgniteCheckedException

Parameters:
  `obj` - Object.
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

### Method Detail

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016